Export stream content
Server:
https://{kibana_url}
- POST /api/streams/{name}/content/export
- POST /s/{space_id}/api/streams/{name}/content/export
Refer to Spaces for more information.
Exports a content pack with the stream structure (routing, mappings, and processing). Significant-event queries are not included.
[Required authorization] Route required privileges: manage_stream.
Path Parameters
-
namestring · max: 200required -
The name of the stream to export content from.
Request
-
descriptionstring · max: 1000required -
includerequired -
namestring · max: 256required -
versionstring · max: 100required
Response
200
Content pack archive for the stream.